aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatt Kohls <mattkohls13@gmail.com>2020-09-20 18:27:24 -0400
committerMatt Kohls <mattkohls13@gmail.com>2020-09-20 18:27:24 -0400
commitf0c268d7547fc3fd2c71a43f19679e921cbd92a7 (patch)
treebaa182653bc3b0005a20a3c68b6f6ee0b1ebfaee
parent83c77b132ce845703464720f9e1c256663b8f084 (diff)
downloaddotfiles-f0c268d7547fc3fd2c71a43f19679e921cbd92a7.tar.gz
dotfiles-f0c268d7547fc3fd2c71a43f19679e921cbd92a7.tar.bz2
dotfiles-f0c268d7547fc3fd2c71a43f19679e921cbd92a7.zip
fixing linker.sh to only exit on errorsHEADmaster
-rwxr-xr-xlinker.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/linker.sh b/linker.sh
index 3ec63c3..9a62a85 100755
--- a/linker.sh
+++ b/linker.sh
@@ -5,7 +5,7 @@
# Save dir of where we start from to link back to
DIR="$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-cd ~ || echo "Unable to change directory" && exit
+cd ~ || (echo "Unable to change directory" && exit)
# Start with .bashrc
if [[ -e .bashrc ]] ; then
@@ -38,13 +38,13 @@ fi
ln -s "$DIR"/.conkyrc ~/.conkyrc
# .config stuff
-cd ~ || echo "Unable to change directory" && exit
+cd ~ || (echo "Unable to change directory" && exit)
if [[ ! -e .config ]] ; then
mkdir .config
fi
# Neovim
-cd .config || echo "Unable to access config directory" && exit
+cd .config || (echo "Unable to access config directory" && exit)
if [[ -e nvim ]] ; then
mv nvim nvim.original
else